View Issue Details

IDProjectCategoryView StatusLast Update
0000227ascendpygtk guipublic2008-02-10 13:02
Reporterjohn 
Assigned Tojohn 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000227: crash with processVarStatus
Description1. Load up iapws95.a4c, create iapws95_2phase
2. Click 'auto' (disable auto mode)
3. Edit value of 'h' to 2361 kJ/kg/K
4. ASCEND crashes.
Additional Informationgdb shows that the crash is at

...DONE BUILDING
DONE BUILDING
SETTING SOLVER ON SIMULATION TO QRSlv
val = 2361
units =
Assuming units 'kJ/kg'
Setting 'h' to '2361000.000000'

Program received signal SIGSEGV, Segmentation fault.
0x033cc7c1 in Simulation::processVarStatus (this=0xa9f31d8) at simulation.cpp:527
527 int low = bb->block[activeblock].col.low;
Current language: auto; currently c++
(gdb) where
#0 0x033cc7c1 in Simulation::processVarStatus (this=0xa9f31d8) at simulation.cpp:527
#1 0x033ec180 in _wrap_Simulation_processVarStatus () from /home/john/src/ascend/trunk/pygtk/interface/_ascend.so
#2 0x01035376 in ?? ()
#3 0x00000000 in ?? ()
(gdb)
TagsNo tags attached.

Relationships

Activities

john

2006-02-18 04:54

administrator   ~0000272

Fixed in changeset 363.

Issue History

Date Modified Username Field Change
2006-02-18 04:43 john New Issue
2006-02-18 04:43 john Status new => assigned
2006-02-18 04:43 john Assigned To => john
2006-02-18 04:43 john Target release => 0.9.6
2006-02-18 04:54 john Status assigned => resolved
2006-02-18 04:54 john Resolution open => fixed
2006-02-18 04:54 john Note Added: 0000272
2006-06-22 07:36 john Status resolved => feedback
2006-06-22 07:48 john Status feedback => resolved
2006-06-22 07:48 john Fixed in Version => 0.9.6
2008-02-10 13:02 john Status resolved => closed